@charset "UTF-8";
@keyframes slideInDown {
  from {
    -webkit-transform: translate3d(0, -100%, 0);
    transform: translate3d(0, -100%, 0);
    visibility: visible;
  }
  to {
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
  }
}

.reportCont {
  position: relative;
  width: 100%;
  height: 100vh;
  background: #BBC2FF;
}

.reportCont .pageCnt {
  padding: 0 8vw;
  z-index: 30;
  position: absolute;
  top: 50%;
  left: 0;
  width: 100%;
  transform: translateY(-50%);
  box-sizing: border-box;
}

.reportCont .pageCnt .pageBg {
  width: 83.2vw;
}

.reportCont .pageCnt .bgCnt {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
}

.reportCont .pageCnt .bgCnt .box {
  position: relative;
  top: 23.4666666667vw;
}

.reportCont .pageCnt .bgCnt .box .title {
  margin: 0 auto;
  width: 32vw;
  font-size: 14px;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  color: #555555;
  text-align: center;
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
}

.reportCont .pageCnt .bgCnt .box .info {
  margin-top: 1.6vw;
  display: flex;
  font-size: 12px;
  font-family: PingFangSC-Regular, PingFang SC;
  font-weight: 400;
  color: #9A9DA6;
}

.reportCont .pageCnt .bgCnt .box .info div {
  flex: 1;
  overflow: hidden;
}

.reportCont .pageCnt .bgCnt .box .info div:first-child {
  text-align: right;
}

.reportCont .pageCnt .bgCnt .box .info div:last-child {
  margin-left: 11.2vw;
  text-align: left;
}

.reportCont .pageCnt .bgCnt .box .group {
  position: relative;
  margin: 0 auto;
  margin-top: 10.6666666667vw;
  width: 68.5333333333vw;
  height: 30.4vw;
  background: #F0F9FF;
  text-align: center;
}

.reportCont .pageCnt .bgCnt .box .group .headImg {
  position: absolute;
  top: -30px;
  left: 0;
  right: 0;
  margin: 0 auto;
}

.reportCont .pageCnt .bgCnt .box .group .headImg img {
  border: 1.0666666667vw solid #F0F9FF;
  width: 13.3333333333vw;
  height: 13.3333333333vw;
  border-radius: 50%;
  background: #F0F9FF;
}

.reportCont .pageCnt .bgCnt .box .group .nick {
  padding-top: 8.5333333333vw;
  font-size: 3.7333333333vw;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  color: #333333;
}

.reportCont .pageCnt .bgCnt .box .group .info {
  margin-top: 4vw;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  line-height: 4vw;
  text-align: center;
}

.reportCont .pageCnt .bgCnt .box .group .info img {
  margin-left: 2.4vw;
  width: 3.2vw;
}

.reportCont .pageCnt .bgCnt .box .group .info .text {
  margin-left: 2px;
  height: 4vw;
  font-size: 11px;
  font-family: PingFangSC-Regular, PingFang SC;
  font-weight: 400;
  color: #C3C3CA;
}

.reportCont .pageCnt .bgCnt .box .group .btn {
  margin: 0 auto;
  margin-top: 3.2vw;
  width: 41.6vw;
  height: 8.5333333333vw;
  border-radius: 6.1333333333vw;
  border: 1px solid #6F82F1;
  font-size: 14px;
  font-family: PingFangSC-Regular, PingFang SC;
  font-weight: 400;
  color: #6F82F1;
  line-height: 8.5333333333vw;
}

.reportCont .print {
  position: absolute;
  left: 0;
  right: 0;
  top: 104vw;
  margin: 0 auto;
  padding-right: 13.3333333333vw;
  min-width: 49.0666666667vw;
  height: 4.5333333333vw;
  font-size: 3.2vw;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  color: #367CBF;
  letter-spacing: 6px;
  z-index: 30;
  text-align: center;
}

.reportCont .btBg {
  position: absolute;
  left: 0;
  top: 85.3333333333vw;
  width: 100%;
  z-index: 20;
}

.reportCont .btBg2 {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  margin: 0 auto;
  width: 69.3333333333vw;
  z-index: 10;
  height: calc(100% - 128vw);
}

.reportCont .sImg {
  position: absolute;
  top: 128vw;
  left: 0;
  right: 0;
  margin: 0 auto;
  width: 6.6666666667vw;
  z-index: 20;
  animation: slideInDown 1s infinite;
}

.reportMain {
  position: relative;
  width: 100%;
  height: auto;
  background: #BBC2FF;
  padding-bottom: 23.4666666667vw;
  overflow-y: auto;
  animation: myfirst 2s;
  -webkit-animation: myfirst 2s;
  animation-fill-mode: forwards;
  /*当动画完成时，动画会停留在最后一帧。*/
  z-index: 1000;
  box-sizing: border-box;
}

.reportMain .reportHead {
  width: 100vw;
  height: 50.4vw;
}

.reportMain .userCnt {
  position: relative;
}

.reportMain .userCnt .module:first-child {
  margin-top: 1.3333333333vw !important;
}

.reportMain .userCnt .module {
  position: relative;
  margin: 0 4vw;
  padding: 2.6666666667vw 4vw 5.3333333333vw 4vw;
  margin-top: 6.4vw;
  height: auto;
  background: #fff;
  box-sizing: border-box;
  border-radius: 1.6vw;
}

.reportMain .userCnt .module .brooch {
  position: absolute;
  top: -15px;
  right: 3.2vw;
  width: 8vw;
}

.reportMain .userCnt .module .point {
  margin: 0 auto;
  width: 83.2vw;
}

.reportMain .userCnt .module .title {
  margin-top: 5.3333333333vw;
  width: 100%;
  overflow: hidden;
  font-size: 18px;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  color: #7183F2;
  text-align: center;
}

.reportMain .userCnt .module .title::before {
  content: "******";
  font-size: 11px;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  color: #7183F2;
  line-height: 16px;
  letter-spacing: 1.3333333333vw;
}

.reportMain .userCnt .module .title::after {
  content: "******";
  font-size: 11px;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  color: #7183F2;
  line-height: 16px;
  letter-spacing: 1.3333333333vw;
}

.reportMain .userCnt .module .starTitle {
  margin-top: 5.3333333333vw;
  width: 100%;
  overflow: hidden;
  font-size: 18px;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  color: #7183F2;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
  white-space: nowrap;
  overflow: hidden;
}

.reportMain .userCnt .module .starTitle span {
  font-size: 11px;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  color: #7183F2;
  line-height: 16px;
  letter-spacing: 1.0666666667vw;
}

.reportMain .userCnt .module .subTitle {
  margin-bottom: 5px;
  font-size: 5.3333333333vw;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  color: #6F82F1;
}

.reportMain .userCnt .module .cntTop30 {
  margin-top: 8vw !important;
}

.reportMain .userCnt .module .cntTop20 {
  margin-top: 5.3333333333vw;
}

.reportMain .userCnt .module .cntTop15 {
  margin-top: 4vw !important;
}

.reportMain .userCnt .module .cntTop5 {
  margin-top: 1.3333333333vw !important;
}

.reportMain .userCnt .module .cntTop10 {
  margin-top: 2.6666666667vw;
}

.reportMain .userCnt .module .pleft16 {
  padding-left: 4.2666666667vw;
}

.reportMain .userCnt .module .blue {
  color: #6F82F1 !important;
}

.reportMain .userCnt .module .yellow {
  color: #FF9336;
}

.reportMain .userCnt .module .red {
  color: #FB5778;
}

.reportMain .userCnt .module .color999 {
  color: #999999;
}

.reportMain .userCnt .module .score {
  margin-top: 7.4666666667vw;
  font-size: 4.2666666667vw;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  color: #383A3D;
}

.reportMain .userCnt .module .score span {
  color: #6F82F1;
}

.reportMain .userCnt .module .bigTit {
  margin-top: 7.2vw;
  padding-bottom: 4.8vw;
  display: flex;
  justify-content: center;
}

.reportMain .userCnt .module .bigTit span {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 14.4vw;
  height: 14.4vw;
  margin-left: 3.4666666667vw;
  background: url("https://sfs-public.shangdejigou.cn/sunlands_back_freestudy/free_ui/h5/rice.png");
  background-size: 100% 100%;
  background-repeat: no-repeat;
  font-size: 7.4666666667vw;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  color: #6F82F1;
}

.reportMain .userCnt .module .bigTit span:first-child {
  margin-left: 0;
}

.reportMain .userCnt .module .scoreTit {
  margin-top: 3.2vw;
  font-size: 4.2666666667vw;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  color: #383A3D;
}

.reportMain .userCnt .module .stepTitle {
  margin-top: 8vw;
  width: 100%;
  height: 6.6666666667vw;
  font-size: 4.8vw;
  text-align: center;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  color: #333333;
}

.reportMain .userCnt .module .content {
  width: 100%;
  height: auto;
  font-size: 14px;
  font-family: PingFangSC-Regular, PingFang SC;
  font-weight: 400;
  color: #383A3D;
  line-height: 6.1333333333vw;
}

.reportMain .userCnt .module .btitle {
  display: inline-block;
  font-size: 14px;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  color: #383A3D;
  border-left: 2px solid #333333;
  height: 12px;
  line-height: 12px;
  padding-left: 1.6vw;
}

.reportMain .userCnt .module .textCenter {
  text-align: center;
}

.reportMain .userCnt .module .textRight {
  text-align: center;
}

.reportMain .userCnt .module .textLeft {
  text-align: left !important;
}

.reportMain .userCnt .module .blod {
  font-weight: 500;
}

.reportMain .userCnt .module .aLink {
  color: #007BFF !important;
  font-style: unset;
}

.reportMain .userCnt .module .fSize {
  font-size: 14px !important;
}

.reportMain .userCnt .module .fSize16 {
  font-size: 16px !important;
}

.reportMain .userCnt .module .colorB2 .content {
  color: #B2B2B2;
}

.reportMain .userCnt .module .mcover {
  margin-top: 2.6666666667vw;
  width: 100%;
  height: auto;
  padding: 4vw 2.6666666667vw 5.3333333333vw 2.6666666667vw;
  background: #F0F9FF;
  box-sizing: border-box;
  font-size: 3.7333333333vw;
  font-family: PingFangSC-Medium, PingFang SC;
  color: #383A3D;
  line-height: 6.1333333333vw;
  word-break: break-all;
}

.reportMain .userCnt .module .mcover .part {
  margin-top: 4vw;
}

.reportMain .userCnt .module .mcover .part .content {
  padding-left: 4vw;
  box-sizing: border-box;
}

.reportMain .userCnt .module .mcover .part:first-child {
  margin-top: 0;
}

.reportMain .userCnt .module .mcover .label {
  font-weight: 500;
}

.reportMain .userCnt .module .mcover .label::before {
  display: inline-block;
  content: "";
  margin-right: 2.4vw;
  width: 5px;
  height: 5px;
  background: #333333;
  border-radius: 50%;
  position: relative;
  top: -3px;
}

.reportMain .userCnt .module .httpImg {
  width: 100%;
}

.reportMain .userCnt .module .httpImg img {
  display: block;
  width: 100%;
  mix-blend-mode: multiply;
  border-radius: 6px;
}

.reportMain .userCnt .module .row {
  width: 100%;
  height: 8.5333333333vw;
  background: #FFFFFF;
  display: flex;
  align-items: center;
  box-sizing: border-box;
}

.reportMain .userCnt .module .row div {
  display: inline-flex;
  flex: 1;
  margin-left: 6.4vw;
}

.reportMain .userCnt .module .row div:nth-child(1) {
  margin-left: 0;
}

.reportMain .userCnt .module .row2 {
  width: 100%;
  height: 8.5333333333vw;
  background: #F0F9FF;
  display: flex;
  align-items: center;
  box-sizing: border-box;
}

.reportMain .userCnt .module .row2 div {
  display: inline-flex;
  flex: 1;
  margin-left: 6.4vw;
}

.reportMain .userCnt .module .row2 div:nth-child(1) {
  margin-left: 0;
}

.reportMain .userCnt .module2 {
  position: relative;
  margin: 0 4vw;
  padding: 2.6666666667vw 0 5.3333333333vw 0;
  margin-top: 6.4vw;
  height: auto;
  background: #fff;
  box-sizing: border-box;
  border-radius: 1.6vw;
}

.reportMain .userCnt .padLR {
  padding-left: 4vw;
  padding-right: 4vw;
}

.reportMain .userCnt .padB {
  padding-bottom: 6.6666666667vw;
}

.reportMain .userCnt .normalBlock {
  margin-top: 5.3333333333vw;
  width: 100%;
  padding: 0 4vw;
  box-sizing: border-box;
}

.reportMain .userCnt .normalBlock .title {
  width: 100%;
  font-size: 4.2666666667vw;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  color: #414886;
  text-align: center;
}

.reportMain .userCnt .normalBlock .content {
  width: 100%;
  height: auto;
  font-size: 14px;
  font-family: PingFangSC-Regular, PingFang SC;
  font-weight: 400;
  color: #414886;
  line-height: 6.1333333333vw;
}

.reportMain .userCnt .normalBlock .content .red {
  color: #FB5778;
}

.reportMain .adCnt {
  position: relative;
  margin: 0 4vw;
  margin-top: 6.4vw;
  box-sizing: border-box;
  border-radius: 1.6vw;
  width: 92vw;
  height: 100%;
}

.reportMain .adCnt .adImg {
  width: 100%;
  border-radius: 1.6vw;
}

.reportMain .adCnt .codeImg {
  position: absolute;
  bottom: 8.5333333333vw;
  right: 16.2666666667vw;
  width: 16.5333333333vw;
  border-radius: 3px;
}

.reportMain .adCnt .codeArea {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  margin-top: 4vw;
}

.reportMain .adCnt .codeArea .group {
  display: flex;
  align-items: center;
}

.reportMain .adCnt .codeArea .group .avatar {
  width: 10.6666666667vw;
  height: 10.6666666667vw;
  border-radius: 100%;
  margin-right: 3.2vw;
  border: 1.0666666667vw solid #F0F9FF;
}

.reportMain .adCnt .codeArea .group .txt {
  color: #686868;
  font-size: 3.2vw;
  line-height: 5.3333333333vw;
  padding-right: 4.8vw;
}

.reportMain .adCnt .codeArea .group .arrow {
  width: 1.0666666667vw;
  height: 2.1333333333vw;
  margin-right: 8vw;
}

.reportMain .adCnt .codeArea .erweima {
  width: 17.0666666667vw;
  height: 17.0666666667vw;
}

.psychoPopup {
  width: 100%;
  height: 100%;
  position: fixed;
  left: 0;
  top: 0;
  z-index: 200;
  -webkit-touch-callout: none;
}

.psychoPopup .mask {
  background: rgba(0, 0, 0, 0.6);
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
}

.psychoPopup .popContent {
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
  z-index: 2;
  justify-content: center;
  height: 100%;
}

.psychoPopup .popContent .popHead {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  width: 90.1333333333vw;
  margin: 0 auto;
}

.psychoPopup .popContent .popHead .popImg1 {
  width: 54.1333333333vw;
  height: 9.3333333333vw;
}

.psychoPopup .popContent .popHead .popClose {
  width: 6.9333333333vw;
  height: 6.9333333333vw;
  margin-left: 10.6666666667vw;
}

.psychoPopup .popContent .popBody {
  margin-top: 1.8666666667vw;
  width: 90.1333333333vw;
  height: 141.8666666667vw;
  background: linear-gradient(130deg, #9293FF 0%, #6F82F1 100%);
  border-radius: 0.5333333333vw;
  padding: 6.6666666667vw 4vw;
  box-sizing: border-box;
  position: relative;
  font-size: 14px;
}

.psychoPopup .popContent .popBody .generateImg {
  width: 100%;
  position: absolute;
  left: 0;
  top: 0;
}

.psychoPopup .popContent .popBody .popBg {
  width: 100%;
  height: 100%;
}

.psychoPopup .popContent .popBody .popInfo {
  position: absolute;
  width: 100%;
  left: 0;
  top: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 0 10.1333333333vw;
  box-sizing: border-box;
}

.psychoPopup .popContent .popBody .popInfo .title {
  color: #fff;
  font-size: 3.2vw;
  padding-top: 12.8vw;
}

.psychoPopup .popContent .popBody .popInfo .resultTitle {
  color: #333;
  font-size: 5.8666666667vw;
  font-weight: 500;
  padding: 8vw 0 5.3333333333vw;
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
}

.psychoPopup .popContent .popBody .popInfo .resultImg {
  width: 100%;
  height: 53.3333333333vw;
  overflow: hidden;
}

.psychoPopup .popContent .popBody .popInfo .resultImg img {
  width: 100%;
}

.psychoPopup .popContent .popBody .popInfo .resultNote {
  font-weight: 500;
  color: #333;
  padding: 3.2vw 0;
}

.psychoPopup .popContent .popBody .popInfo .codeArea {
  display: flex;
  align-items: center;
  width: 100%;
}

.psychoPopup .popContent .popBody .popInfo .codeArea .group {
  display: flex;
  align-items: center;
}

.psychoPopup .popContent .popBody .popInfo .codeArea .group .avatar {
  width: 10.6666666667vw;
  height: 10.6666666667vw;
  border-radius: 100%;
  margin-right: 3.2vw;
  border: 1.0666666667vw solid #F0F9FF;
}

.psychoPopup .popContent .popBody .popInfo .codeArea .group .txt {
  color: #686868;
  font-size: 3.2vw;
  line-height: 5.3333333333vw;
  padding-right: 4.8vw;
}

.psychoPopup .popContent .popBody .popInfo .codeArea .group .arrow {
  width: 1.0666666667vw;
  height: 2.1333333333vw;
  margin-right: 8vw;
}

.psychoPopup .popContent .popBody .popInfo .codeArea .erweima {
  width: 17.0666666667vw;
  height: 17.0666666667vw;
}
